package com.xy.dto.SysWorkUser;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import java.util.List;

@Data
@ApiModel
@Accessors(chain = true)
public class ListByRoleDto {

    @NotEmpty(message = "角色编号不可为空")
    @ApiModelProperty(value = "角色编号", required = true)
    private String roleCode;
    @NotEmpty(message = "系统ID不可为空")
    @ApiModelProperty(value = "用户ID", required = true)
    private Long sysId;

}
