package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.WxAuthorizeDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 微信授权 接口
 */
@RestMappingController("wx-authorize")
public interface WxAuthorizeService {

    @PostMapping("jssdkSign")
    R<WxAuthorizeDto.JssdkSignVo> jssdkSign(@RequestBody @Validated WxAuthorizeDto.JssdkSign jssdkSign);

}
